| Home | Libraries | People | FAQ | More

### wait_traits

Wait traits suitable for use with the `basic_waitable_timer` class template.

    template<
        typename Clock>
    struct wait_traits

##### Member Functions

Name | Description
--- | ---
to_wait_duration | Convert a clock duration into a duration used for waiting.

##### Requirements

Header: `boost/asio/wait_traits.hpp`

Convenience header: `boost/asio.hpp`